LINUX.ORG.RU

Opera отказывается от использования библиотеки Qt на Linux

 , , , ,


0

0

Для сборок своего веб-браузера под Linux компания Opera больше не будет использовать библиотеку Qt, а пользовательский интерфейс отныне будет отрисовываться напрямую с помощью библиотеки Xlib. Разработчики уверяют, что это позволит увеличить скорость работы программы.

Не смотря на такие кардинальные изменения, Opera будет поддерживать родные стили KDE и Gnome.

Source: opennet.ru.

>>> Подробности

Всегда было интересно, зачем им Qt, у них ведь итак своё подобие тулкита.

Adjkru ★★★★★ ()

Чтож, посмотрим. Новость настораживает, но гтк-версия выглядит неплохо

Osmos ★★ ()
Ответ на: комментарий от Evil_Wizard

т.е. вы использовали оперу только из-за ненужной(как оказалось) зависимости от Qt? :)

Adjkru ★★★★★ ()

тем лучше
-1 зависимость
- глюки с совместимостью

а все вкусности qt они все равно не использовали.

Sylvia ★★★★★ ()

кутэ не нужен, проприетарное поделие тоже в печь.

l0stparadise ★★★★★ ()

И правильно. Интересно только как будет с шрифтами и долго ли ждать версии для линукс.

mono ★★★★★ ()

Жаль в пятницу не подтвердили. :)

atrus ★★★★★ ()

Повторю свой вброс из удалённой ветки :)
На компьютерре появилась статья, посвящённая новой альфе Оперы (10.5): http://www.computerra.ru/terralab/softerra/490652/

Цитата:
«Вчера, 22 декабря разработчики Opera Software представили сетевой общественности предварительную альфа-версию браузера Opera 10.5 и снабдили описание новинки исследовательскими отчетами, свидетельствующими о том, что норвежцам удалось в разы улучшить производительность веб-обозревателя. Известие о том, что у признанных лидеров по части обработки HTML-кода и JavaScript-инструкций Google Chrome и Apple Safari появился серьезный конкурент, мгновенно облетело новостные ресурсы и подтолкнуло нас к идее лично убедиться в правдивости слов гуру именитой компании.»

Однако, альфа пока недоступна в Linux - куте выпиливают, походу :)

Steplton ★★★★★ ()

Велосипеды нужны

anonymous ()

Мне вот просто интересно - раньше они могли один и тот же код гуя (Qt) использовать на разных платформах; теперь они переходят на 2 отдельных... В чём профит?

Alan_Steel ★★ ()
Ответ на: комментарий от Alan_Steel

Re: Opera отказывается от использования библиотеки Qt на Linux

дык раньше под винду был win32 все равно, тоесть qt был только для линукса

kost-bebix ★★ ()

Ююююююююююю-ххххххууууууууууууууууу! :)

anonymous ()

И правильно делают. Я вообще с трудом понимаю, зачем им Qt нужен был.

name_no ★★ ()
Ответ на: комментарий от Lucius

>Вот это кайф! МОЛОДЦЫ! Скорее бы уже на ГТК+ перебрались :)

тонко!

frame ★★★ ()

Все правильно сделали!

ostin ★★★★★ ()
Ответ на: комментарий от boo32

qt использовался только в версии под линукс.

Ну еще есть версия под мак и судя по ее убогости/вырвиглазности/страшности она тоже на QT.

ostin ★★★★★ ()

разработчики оперы тонко намекнули что куте говно :) Ждем ответного наброса от разработчиков куте

JB ★★★★★ ()

Не смотря на то что не люблю Оперу и люблю Qt, очень рад за авторов. Я вообще не понял где и для чего оно там использовало Qt.

KblCb ★★★★★ ()

Давно надо было на это решиться. Кутэ4 наредкость уродская поделка, в каждом минорном багфиксе они ломают что-то и разработчикам приходится весь софт под новые баги переписывать.

kranky ★★★★★ ()

И правильно делают! Еще бы разработчики Rosegarden'а отказались от кутей, и выпустили бы kile на gtk...

Eddy_Em ☆☆☆☆☆ ()
Ответ на: комментарий от JB

разработчики оперы тонко намекнули что куте говно :) Ждем ответного наброса от разработчиков куте

Разработчики оперы тонко намекнули, что не особо много у них на qt было завязано.

ostin ★★★★★ ()
Ответ на: комментарий от JB

> разработчики оперы тонко намекнули что куте говно :) Ждем ответного наброса от разработчиков куте

толсто

Qt там использовался в основном для меню.
Весь интерфейс и так вручную рендерился, и даже ЕМНИП GTK-диалоги использовались под Гномом.

anonymous ()

А кстати, забыл главное, ждём от Opera: проблемы с хоткеями, проблемы с отрисовкой шрифтов, проблемы с подцеплянием нативных тем, проблемы взаимодействия с WM и кучу других феерических косяков =).

Deleted ()

они идиоты ещё большие, чем Mozilla и Google, они не только пишут все по 10 раз, используя кроссплатформенный тулкит только на одной платформе, они ещё и решили использовать Xlib, а чего сразу не напрямую через ядро?

PayableOnDeath ()
Ответ на: комментарий от JB

>разработчики оперы тонко намекнули что куте говно :)

Нет, они намекнули, что тулкиты сводят производительность UI в линуске в говно. А GTK это говно by design, поэтому они его даже не пытались использовать =)

frame ★★★ ()

о_О похоже у нас определился финалист конкурса «тролль года» :)

shty ★★★★★ ()

Кстати говоря, когда они выпустили бетку Мини 5 и Мобайл 5, то рассказывали, что для унификации интерфейса для разных платформ разработали свой тулкит - наверное с 10.5 на него все переведут

alex-w ★★★★★ ()
Ответ на: комментарий от anonymous

название цитаты

Диалог сохранение, не?

Уффф... Ничего, не переломятся, напишут свой.

KblCb ★★★★★ ()
Ответ на: комментарий от anonymous

Эксперты по ссылке пишут «Qt» как «QT».

это потому что им плевать на авторитетное мнение аналитиков с лора :)

shty ★★★★★ ()
Ответ на: комментарий от JB

разработчики оперы тонко намекнули что куте говно :) Ждем ответного наброса от разработчиков куте

kde 5.0?

shty ★★★★★ ()
Ответ на: комментарий от Steplton

вместо kile использую texmakerx, основное отличие от просто texmaker - наличие возможности работы с шаблонами. Да, texmaker/texmakerx треба Qt4, к кедам не крепятся. Автор texmaker, тот же, что у оригинального kile, так что в целом - почти одно и тоже, с небольшим нюансом ;-)

h4tr3d ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.